# Method: accounts.promotions.insert

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/insert#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/insert#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/insert#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/insert#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/insert#try-it)

Inserts a promotion for your Merchant Center account. If the promotion already exists, then it updates the promotion instead.

### HTTP request

`POST https://merchantapi.googleapis.com/promotions/v1/{parent=accounts/*}/promotions:insert`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account where the promotion will be inserted. Format: accounts/{account} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "promotion": { object (`https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions#Promotion`) }, "dataSource": string } ``` |

| Fields ||
|---|---|
| `promotion` | ``object (`https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions#Promotion`)`` Required. The promotion to insert. |
| `dataSource` | `string` Required. The data source of the [promotion](https://support.google.com/merchants/answer/6396268?sjid=5155774230887277618-NC) Format: `accounts/{account}/dataSources/{datasource}`. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions#Promotion`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).